Subject: Re: [PATCH 3/6] Consolidate of_find_property

From: Matt Sealey <[email-masked]>
Date: Wed, 25 Apr 2007 18:46:24 +0100

Can't the ata/ATA thing be fixed by simply fixing device trees where it
happens? strncmp seems the standards-compliant route to take.. why clutter
the common parsing routines with fixes for deviant platforms?

The Mac obviously has a few of_platform things where you can add a
compatible search for ata then ATA, keeping it all in the drivers (where
relevant) and in the platform setup (where necessary)

-- 
Matt Sealey <[email-masked]>
Genesi, Manager, Developer Relations

Segher Boessenkool wrote:
>>> The question is, what ppc drivers would break if we used strcmp
>>> instead of strcasecmp?  I have a dim memory that some Apple machines
>>> had "ata" and others had "ATA" for the hard disk, for instance.
>> ata/ATA and ide/IDE is the main one that comes to mind, but I wouldn't
>> exclude something like Powermac vs. PowerMac or that sort of thing... I
>> remember a case related bug about 2 years ago but can't find what it
>> was ...
>>
>> I think it's safe to settle on strcasecmp for most things for now
> 
> Yes, it's hard to imagine any case where strcasecmp(),
> although technically incorrect, would break anything.
> Please document in the code that is _is_ wrong and _why_
> it is done though.
> 
> 
> Segher
> 
> _______________________________________________
> Linuxppc-dev mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-dev